#include<stdio.h>
int main(){
	int n,k;
	scanf("%d",&n);
	scanf("%d",&k);
	int niz[n];
	int nniz[n];
	int karta;
	int poc=0;
	int poz;
	int pocpoz;
	int i;
	for(i=0;i<n;i++){
		scanf("%d",&niz[i]);
	}
	for(i=0;i<n;i++){
		if(n==1)karta=niz[i];
		if(n==2&&k==niz[0])karta=niz[1];
		else if(n==2&&k==niz[1])karta=niz[0];
		if(n>2&&(niz[i]>niz[i+1]&&k==niz[0]))karta=niz[1];
		
		}
		for(i=0;i<n;i++){
		if(niz[i]<niz[i+1]){
			poz=i+1;
			break;
		}
		}
		
		pocpoz=poz;
		if(n>2&&(niz[i]<niz[i+1])){
			while(poz<n){
			nniz[poc]=niz[poz];
			poz++;
			poc++;
			}
			int po=0;
			for(i=poc;i<n;i++){
				nniz[i]=niz[po];
				po++;
			}
			for(i=0;i<n;i++){
	    	if(nniz[i]==k)karta=nniz[i+1];
			}
	}
	printf("%d",karta);
	}